## org.exist.storage
Class FulltextIndexSpec

    java.lang.Object
      org.exist.storage.FulltextIndexSpec

public class FulltextIndexSpec
extends java.lang.Object

Contains information about which parts of a document should be fulltext-indexed for a specified doctype. It basically keeps a list of paths to include and exclude from indexing. Paths are specified using simple XPath syntax, e.g. //SPEECH will select any SPEECH elements, //title/@id will select all id attributes being children of title elements.

Author:
  Wolfgang Meier

Constructor Summary
`FulltextIndexSpec(java.util.Map namespaces, org.w3c.dom.Element node)` Constructor for the IndexPaths object param def if set to true, include everything by default.

Method Summary
`boolean` `getIncludeAlphaNum()` Include alpha-numeric data?
`boolean` `isSelective()`
`boolean` `match(NodePath path)` Check if a given path should be indexed.
`boolean` `matchAttribute(NodePath path)` Check if a given path should be indexed.
`boolean` `matchMixedElement(NodePath path)` Check if the element corresponding to the given path should be indexed as an element with mixed content, i.e.
`boolean` `preserveContent(NodePath path)` Check if a given path should be preserveContent.
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FulltextIndexSpec

    public FulltextIndexSpec(java.util.Map namespaces,
                             org.w3c.dom.Element node)

  Constructor for the IndexPaths object param def if set to true, include everything by default. In this case use exclude elements to specify the excluded parts.

Method Detail

### isSelective

    public boolean isSelective()

  Returns:
    False if all elements are indexed, True if indexation is selective.

### getIncludeAlphaNum

    public boolean getIncludeAlphaNum()

  Include alpha-numeric data?

### match

    public boolean match(NodePath path)

  Check if a given path should be indexed.

  Parameters:
    `path` - path to the node
  Returns:
    Description of the Return Value

### matchAttribute

    public boolean matchAttribute(NodePath path)

  Check if a given path should be indexed.

  Parameters:
    `path` - path to the node
  Returns:
    Description of the Return Value

### matchMixedElement

    public boolean matchMixedElement(NodePath path)

  Check if the element corresponding to the given path should be indexed as an element with mixed content, i.e. the string value of the element will be indexed as a single text sequence. Descendant elements will be ignored and will not break the text into chunks. Example: a mixed content index on the element

  Parameters:
    `path` -

### preserveContent

    public boolean preserveContent(NodePath path)

  Check if a given path should be preserveContent.

  Parameters:
    `path` - path to the node
  Returns:
    Description of the Return Value

### toString

    public java.lang.String toString()

Copyright (C) Wolfgang Meier. All rights reserved.